diff tests/Makefile @ 28:8a955e3dda2c posted-20101220

two more tests, more fixes
author David A. Holland
date Mon, 20 Dec 2010 05:42:15 -0500
parents ac45dcc57ff9
children b30f69cab9bc
line wrap: on
line diff
--- a/tests/Makefile	Mon Dec 20 05:01:18 2010 -0500
+++ b/tests/Makefile	Mon Dec 20 05:42:15 2010 -0500
@@ -1,6 +1,6 @@
 TRADCPP=../obj/tradcpp  # XXX
 
-TESTS=t01 t02 t03 t04 t05 t06 t07
+TESTS=t01 t02 t03 t04 t05 t06 t07 t08 t09
 
 all: run-tests .WAIT show-diffs
 
@@ -11,7 +11,7 @@
 	-diff $(T).good $(T).run > $(T).diff
 
 $(T).run: $(TRADCPP) $(T).c
-	$(TRADCPP) $(T).c $(T).run
+	$(TRADCPP) $(T).c > $(T).run 2>&1 || echo FAILED >> $(T).run
 .endfor
 
 show-diffs: